﻿namespace FileSplitter.Shared.Classes;

/// <summary>
/// Параметры события OnProgress
/// </summary>
public class FileSplitterOnProgress: EventArgs
{
    /// <summary>
    /// Конструктор
    /// </summary>
    /// <param name="current">Текущий прогресс</param>
    /// <param name="total">Максимальные прогресс</param>
    /// <param name="message">Сообщение</param>
    public FileSplitterOnProgress (long current, long total, string message)
    {
        CurrentProgress = current;
        MaxProgress = total;
        Message = message;
    }

    /// <summary>
    /// Текущий прогресс
    /// </summary>
    public long CurrentProgress { get; }

    /// <summary>
    /// Максимальные прогресс
    /// </summary>
    public long MaxProgress { get; }

    /// <summary>
    /// Сообщение
    /// </summary>
    public string Message { get; }
}