﻿using FileSplitter.Shared.Interfaces;

namespace FileSplitter.Shared.Classes;

/// <summary>
/// Разделенный файл
/// </summary>
public sealed class SplitFile: ISplitFile
{
    /// <summary>
    /// Порядок части
    /// </summary>
    public int Num { get; set; }

    /// <summary>
    /// Размер части
    /// </summary>
    public long Size { get; set; }

    /// <summary>
    /// Смещение начала части от начала итогового файла
    /// </summary>
    public long Offset { get; set; }

    /// <summary>
    /// md5-сумма части для проверки
    /// </summary>
    public byte[]? Hash { get; set; }
}