﻿namespace FileSplitter.Shared.Enums;

/// <summary>
/// Опции объединения файла
/// </summary>
public enum FileJoinOptions
{
    /// <summary>
    /// Не проверять контрольную сумму перед началом объединения
    /// </summary>
    fjoNoCheckHash = 0,

    /// <summary>
    /// Json-Файл информации о разбиении зашифрован
    /// </summary>
    fjoInfoFileIsEncrypted = 1,

    /// <summary>
    /// Удалить исходные файлы после объединения
    /// </summary>
    fjoDeleteSourceFilesAfterJoin = 2,

    /// <summary>
    /// Игнорировать не поддерживаемую версию файла информации
    /// </summary>
    fjoIgnoreSupportedScriptVersion = 3
}